//------------------------------------------------------------------------------
// Lamp : Open source game middleware
// Copyright (C) 2004  Junpei Ohtani ( Email : junpee@users.sourceforge.jp )
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

/** @file
 * カプセル交差テスト実装
 * @author Junpee
 */

#include "Test/stdafx.h"
#include "Geometry/Intersection/CapsuleIntersectionTest.h"

//------------------------------------------------------------------------------
// コンストラクタ
CapsuleIntersectionTest::CapsuleIntersectionTest(String name) :
	TestCase(name){
}
//------------------------------------------------------------------------------
// テストスィートの取得
Test* CapsuleIntersectionTest::suite(){
	TestSuite* suite = new TestSuite("CapsuleIntersectionTest");
	suite->addTest(new TestCaller(CapsuleIntersectionTest, testPoint));
	suite->addTest(new TestCaller(CapsuleIntersectionTest, testCapsule));
	suite->addTest(new TestCaller(CapsuleIntersectionTest, testCone));
	suite->addTest(new TestCaller(CapsuleIntersectionTest, testLine));
	suite->addTest(new TestCaller(CapsuleIntersectionTest, testOrientedBox));
	suite->addTest(new TestCaller(CapsuleIntersectionTest, testPlane));
	suite->addTest(new TestCaller(CapsuleIntersectionTest, testRay));
	suite->addTest(new TestCaller(CapsuleIntersectionTest, testSegment));
	suite->addTest(new TestCaller(CapsuleIntersectionTest, testSphere));
	suite->addTest(new TestCaller(CapsuleIntersectionTest, testTriangle));
	return suite;
}
//------------------------------------------------------------------------------
// 点テスト
void CapsuleIntersectionTest::testPoint(){
}
//------------------------------------------------------------------------------
// カプセルテスト
void CapsuleIntersectionTest::testCapsule(){
}
//------------------------------------------------------------------------------
// コーンテスト
void CapsuleIntersectionTest::testCone(){
}
//------------------------------------------------------------------------------
// ラインテスト
void CapsuleIntersectionTest::testLine(){
}
//------------------------------------------------------------------------------
// 指向性ボックステスト
void CapsuleIntersectionTest::testOrientedBox(){
}
//------------------------------------------------------------------------------
// 平面テスト
void CapsuleIntersectionTest::testPlane(){
}
//------------------------------------------------------------------------------
// レイテスト
void CapsuleIntersectionTest::testRay(){
}
//------------------------------------------------------------------------------
// セグメントテスト
void CapsuleIntersectionTest::testSegment(){
}
//------------------------------------------------------------------------------
// 球テスト
void CapsuleIntersectionTest::testSphere(){
}
//------------------------------------------------------------------------------
// 三角テスト
void CapsuleIntersectionTest::testTriangle(){
}
//------------------------------------------------------------------------------
